#include <stdio.h>

union wert {                                  /* Unions */
   int i;
   char c;
   double d;
};

main()
{  
   union wert w,x;

   w.i=6;     printf("i=%d, c=%c, d=%f\n", w.i, w.c, w.d);
   w.c='a';   printf("i=%d, c=%c, d=%f\n", w.i, w.c, w.d);
   w.d=33.33; printf("i=%d, c=%c, d=%f\n", w.i, w.c, w.d);
}
